<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsd:schema xmlns="http://dnetlib.eu/springbeans/template"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:beans="http://www.springframework.org/schema/beans"
	xmlns:p="http://www.springframework.org/schema/p" targetNamespace="http://dnetlib.eu/springbeans/template"
	elementFormDefault="qualified" attributeFormDefault="unqualified">

	<xsd:attribute name="ifdefined" type="xsd:string" />

	<xsd:element name="define">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:any minOccurs="0" maxOccurs="unbounded" />
			</xsd:sequence>
			<xsd:attribute name="name" type="xsd:string" />
			<xsd:anyAttribute namespace="##other"
				processContents="lax" />
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="instance">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="parameter" minOccurs="0">
					<xsd:complexType>
						<xsd:attribute name="name" type="xsd:string" />
						<xsd:attribute name="value" type="xsd:string" use="optional" />
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="name" type="xsd:string" />
			<xsd:anyAttribute namespace="##other"
				processContents="lax" />
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="value">
		<xsd:complexType>
			<xsd:attribute name="name" type="xsd:string" />
		</xsd:complexType>
	</xsd:element>

</xsd:schema>